## r-cran-commonmark 1.7

=== DESCRIPTION ===
Package: commonmark
Type: Package
Title: High Performance CommonMark and Github Markdown Rendering in R
Version: 1.7
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("John MacFarlane", role = "cph", comment = "Author of cmark"))
URL: http://github.com/jeroen/commonmark (devel)
        https://github.github.com/gfm/ (spec)
BugReports: http://github.com/jeroen/commonmark/issues
Description: The CommonMark specification defines a rationalized version of markdown
    syntax. This package uses the 'cmark' reference implementation for converting
    markdown text into various formats including html, latex and groff man. In
    addition it exposes the markdown parse tree in xml format. Also includes opt-in
    support for GFM extensions including tables, autolinks, and strikethrough text.
License: BSD_2_clause + file LICENSE
Suggests: curl, testthat, xml2
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-12-01 11:57:14 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  John MacFarlane [cph] (Author of cmark)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-12-01 12:30:03 UTC

## r-cran-commonmark 1.5

=== debian/changelog ===
r-cran-commonmark (1.5-1build1) cosmic; urgency=medium

  * No-change rebuild for the r-api change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 May 2018 14:24:58 +0000

r-cran-commonmark (1.5-1) unstable; urgency=medium

  * Initial release (closes: #898223)

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2018 23:05:00 +0200

=== debian/control ===
Source: r-cran-commonmark
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
Homepage: https://cran.r-project.org/package=commonmark

Package: r-cran-commonmark
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: high performance CommonMark and Github markdown rendering in R
 The CommonMark specification defines a rationalized version of markdown
 syntax. This package uses the 'cmark' reference implementation for
 converting markdown text into various formats including html, LaTeX and
 groff man. In addition it exposes the markdown parse tree in xml format.
 The latest version of this package also adds support for Github
 extensions including tables, autolinks and strikethrough text.

## r-cran-commonmark 1.7

=== debian/changelog ===
r-cran-commonmark (1.7-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove empty debian/tests/control.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 16:33:27 +0200

r-cran-commonmark (1.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 05 Dec 2018 10:51:40 +0100

r-cran-commonmark (1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 Oct 2018 07:30:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
 Homepage: https://cran.r-project.org/package=commonmark
+Rules-Requires-Root: no
 
 Package: r-cran-commonmark
 Architecture: any

## r-cran-commonmark 1.8.0

=== debian/changelog ===
r-cran-commonmark (1.8.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #965980  (CVE-2020-5238)
    Closes: #1006760 (CVE-2022-24724)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 20:23:20 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
 Homepage: https://cran.r-project.org/package=commonmark

## r-cran-commonmark 1.8.1

=== DESCRIPTION ===
Package: commonmark
Type: Package
Title: High Performance CommonMark and Github Markdown Rendering in R
Version: 1.8.1
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
        comment = c(ORCID = "0000-0002-4035-0289")),
    person("John MacFarlane", role = "cph", comment = "Author of cmark"))
URL: https://docs.ropensci.org/commonmark/ (docs)
        https://github.com/r-lib/commonmark (devel)
        https://github.github.com/gfm/ (spec)
BugReports: https://github.com/r-lib/commonmark/issues
Description: The CommonMark specification defines a rationalized version of markdown
    syntax. This package uses the 'cmark' reference implementation for converting
    markdown text into various formats including html, latex and groff man. In
    addition it exposes the markdown parse tree in xml format. Also includes opt-in
    support for GFM extensions including tables, autolinks, and strikethrough text.
License: BSD_2_clause + file LICENSE
Suggests: curl, testthat, xml2
RoxygenNote: 7.1.2
Language: en-US
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2022-10-14 12:04:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  John MacFarlane [cph] (Author of cmark)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2022-10-14 12:42:33 UTC

=== debian/changelog ===
r-cran-commonmark (1.8.1-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 13:42:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-commonmark
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
+Homepage: https://cran.r-project.org/package=commonmark
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
-Homepage: https://cran.r-project.org/package=commonmark
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-commonmark
 Architecture: any

## r-cran-commonmark 1.9.0

=== debian/changelog ===
r-cran-commonmark (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 15:59:29 +0200

## r-cran-commonmark 1.9.1

=== DESCRIPTION ===
Package: commonmark
Type: Package
Title: High Performance CommonMark and Github Markdown Rendering in R
Version: 1.9.1
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre"),
        comment = c(ORCID = "0000-0002-4035-0289")),
    person("John MacFarlane", role = "cph", comment = "Author of cmark"))
URL: https://docs.ropensci.org/commonmark/
        https://r-lib.r-universe.dev/commonmark
        https://github.github.com/gfm/ (spec)
BugReports: https://github.com/r-lib/commonmark/issues
Description: The CommonMark specification defines a rationalized version of markdown
    syntax. This package uses the 'cmark' reference implementation for converting
    markdown text into various formats including html, latex and groff man. In
    addition it exposes the markdown parse tree in xml format. Also includes opt-in
    support for GFM extensions including tables, autolinks, and strikethrough text.
License: BSD_2_clause + file LICENSE
Suggests: curl, testthat, xml2
RoxygenNote: 7.2.3
Language: en-US
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2024-01-30 11:29:56 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  John MacFarlane [cph] (Author of cmark)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2024-01-30 12:40:02 UTC

=== debian/changelog ===
r-cran-commonmark (1.9.1-1) unstable; urgency=medium

  * New upstream version
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 13:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
 Homepage: https://cran.r-project.org/package=commonmark
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-commonmark 1.9.2

=== debian/changelog ===
r-cran-commonmark (1.9.2-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1048735
  * Add missing docs to pass autopkgtest
    Closes: #1088546

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2024 18:30:50 +0100

r-cran-commonmark (1.9.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 11 Oct 2024 08:42:09 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
 Homepage: https://cran.r-project.org/package=commonmark
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-commonmark 1.9.5

=== DESCRIPTION ===
Package: commonmark
Type: Package
Title: High Performance CommonMark and Github Markdown Rendering in R
Version: 1.9.5
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre"),
        comment = c(ORCID = "0000-0002-4035-0289")),
    person("John MacFarlane", role = "cph", comment = "Author of cmark"))
Description: The CommonMark specification <https://github.github.com/gfm/> defines
    a rationalized version of markdown syntax. This package uses the 'cmark' 
    reference implementation for converting markdown text into various formats
    including html, latex and groff man. In addition it exposes the markdown
    parse tree in xml format. Also includes opt-in support for GFM extensions
    including tables, autolinks, and strikethrough text.
License: BSD_2_clause + file LICENSE
URL: https://docs.ropensci.org/commonmark/
        https://ropensci.r-universe.dev/commonmark
BugReports: https://github.com/r-lib/commonmark/issues
Suggests: curl, testthat, xml2
RoxygenNote: 7.3.2
Language: en-US
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2025-03-17 15:28:44 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  John MacFarlane [cph] (Author of cmark)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2025-03-17 16:30:02 UTC

=== debian/changelog ===
r-cran-commonmark (1.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 10:34:28 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
 Homepage: https://cran.r-project.org/package=commonmark
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_clean:
	dh_clean
	find . -name "*.o" -delete
	find . -name "*.a" -delete

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-curl,
        r-cran-testthat,
        r-cran-xml2
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/commonmark_([-\d.]*)\.tar\.gz

## r-cran-commonmark 2.0.0

=== debian/changelog ===
r-cran-commonmark (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Dec 2025 13:04:12 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-commonmark
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-commonmark
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-commonmark.git
 Homepage: https://cran.r-project.org/package=commonmark
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-commonmark
 Architecture: any
